On Nov 28 2005, Tom Lane wrote:

Larry Rosenman <ler@lerctr.org> writes:
>> -lnsl is needed on SVR4 derivatives, like Solaris and UnixWare. it is >> the network services library.


> libsocket requires libnsl:

> [1]       NEEDED      /usr/lib/libnsl.so.1

Hmmm ... but given that, is it needed to mention libnsl in the link
command at all, or can the linker pick it up implicitly?

I'm not 100% sure if the linker does the right thing or not :(

It would be a good thing to test.

I can make a shell account available (Tom, you actually have one on the box that output is from).
LER


                        regards, tom lane


--
Larry Rosenman                     http://www.lerctr.org/~ler
Phone: +1 972-414-9812                 E-Mail: ler@lerctr.org
US Mail: 3535 Gaspar Drive, Dallas, TX 75220-3611


---------------------------(end of broadcast)---------------------------
TIP 2: Don't 'kill -9' the postmaster

Reply via email to